Package org.eclipse.rdf4j.query

## Class TupleQueryResultHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.QueryResultHandlerException
          - - org.eclipse.rdf4j.query.TupleQueryResultHandlerException

- All Implemented Interfaces:
    `Serializable`

      public class TupleQueryResultHandlerException
      extends QueryResultHandlerException

  An exception that can be thrown by an TupleQueryResultHandler when it encounters an unrecoverable error. If an exception is associated with the error then this exception can be wrapped in a TupleHandlerException and can later be retrieved from it when the TupleHandlerException is caught using the getCause().
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TupleQueryResultHandlerException​(String msg)` | Creates a new TupleQueryResultHandlerException.
    `TupleQueryResultHandlerException​(String msg, Throwable cause)` | Creates a new TupleQueryResultHandlerException wrapping another exception.
    `TupleQueryResultHandlerException​(Throwable cause)` | Creates a new TupleQueryResultHandlerException wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleQueryResultHandlerException

          public TupleQueryResultHandlerException​(String msg)

      Creates a new TupleQueryResultHandlerException.
      Parameters:
        `msg` - An error message.

    - #### TupleQueryResultHandlerException

          public TupleQueryResultHandlerException​(Throwable cause)

      Creates a new TupleQueryResultHandlerException wrapping another exception.
      Parameters:
        `cause` - The cause of the exception.

    - #### TupleQueryResultHandlerException

          public TupleQueryResultHandlerException​(String msg,
                                                  Throwable cause)

      Creates a new TupleQueryResultHandlerException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.